Package Details: python-imageio-ffmpeg 0.5.1-2

Git Clone URL: https://aur.archlinux.org/python-imageio-ffmpeg.git (read-only, click to copy)
Package Base: python-imageio-ffmpeg
Description: FFMPEG wrapper for Python
Upstream URL: https://github.com/imageio/imageio-ffmpeg
Licenses: BSD
Submitter: oysstu
Maintainer: oysstu (leomao)
Last Packager: oysstu
Votes: 8
Popularity: 0.067601
First Submitted: 2019-03-01 17:24 (UTC)
Last Updated: 2024-06-07 20:16 (UTC)

Latest Comments

oysstu commented on 2023-05-10 09:35 (UTC) (edited on 2023-05-10 09:37 (UTC) by oysstu)

@yar Aha, I see. I removed it when I upgraded to a PEP 517 compatible build process, but it seems that it still is needed for projects using setup.py/setuptools. Re-adding it now. Should really start to test my packages in a clean chroot.

yar commented on 2023-05-09 20:39 (UTC)

Looks like this also needs makedepends=(python-setuptools). Thanks!

oysstu commented on 2022-06-09 07:27 (UTC)

Done, had to switch to git as no github release was made for v0.4.7 (only a tag).

yar commented on 2022-06-08 21:51 (UTC)

Boosting @adrien1018 - please add makedepends=(git)

adrien1018 commented on 2022-06-07 00:52 (UTC)

It seems like git is missing from makedepends.

oysstu commented on 2021-02-13 08:49 (UTC)

The install method used here is setuptools, and does not ordinarily depend on pip or wheels. They are pulled in as a dependency due to the following version requirement in the setup script "setup_requires=["pip>19"]". I'm adding a patch to remove this requirement from the install script, and I'll see if the change can be applied upstream.

daniel_shub commented on 2021-02-12 20:11 (UTC)

I was not able to build this package in a clean chroot. I had to install the python-wheel and python-pip packages, but I think pip is frowned upon. It might be related to https://bbs.archlinux.org/viewtopic.php?id=262572 , but I don't know.